# Create report

```
POST 
/reports
```

Create detailed feedback or report issues directly related to specific API interactions.

## Request[​](#request "Direct link to Request")

* application/json

### Body**required**

* **rating**integer

  Optional rating for the output of the given response: from very bad (1) to perfect (5).

  **Possible values:** `>= 1` and `<= 5`

  **feedback**string

  Feedback on the given response. This should typically explain the rating, suggest specific improvements or highlight the good points.

  **reply\_to**email

  Optional email address for Nabla to contact for additional information or clarification regarding the submitted report feedback.

  **payload** object******required**

  Input and output of the related API call.

  oneOf

  * digest
  * generate\_patient\_instructions
  * generate\_normalized\_data

  **endpoint**stringrequired

  The report is about a call to the [Digest](/core-api/reference/2024-04-22/server/copilot-digest.md) endpoint (or its async version).

  **Possible values:** \[`digest`]

  ******input**object

  The object containing the information needed to generate a note.

  **output\_objects**digest\_output\_object (string)\[]required

  Specifies which items you want us to send you back. In other words, which feature(s) you want to use, for now only note generation is available.

  **Possible values:** \[`note`]

  **language**copilot\_language (string)required

  Language of the given transcript and the desired note ('fr' and 'en' are deprecated, and correspond to 'fr-FR' and 'en-US' respectively. Generating a note in 'es-ES' and 'es-MX' is not supported and will be soon removed).

  **Possible values:** \[`fr`, `en`, `en-US`, `en-GB`, `fr-FR`, `es-ES`, `es-MX`]

  **Example:<!-- -->&#x20;**`en-US`

  ******transcript\_items**object\[]required

  The transcript from which to generate the note. You don't need to specify each item's start or end time, but make sure they are sorted. In fact, due to its asynchronous nature, our \[real-time transcription API]\(/core-api/reference/2024-04-22/server/copilot-listen-ws) does not guarantee the order. Thus, before calling this note-generation API please \*\*filter-out non-final items and sort them by \`start\_offset\_ms\`\*\*.

  Array \[

* **text**stringrequired

  The transcribed text.

  **Example:<!-- -->&#x20;**`Also, I’m allergic to peanuts.`

  **speaker**copilot\_speaker (string)required

  Who said the text in this transcript item.

  **Possible values:** \[`doctor`, `patient`, `unspecified`]

  **Example:<!-- -->&#x20;**`doctor`

  ]

* **section\_style**copilot\_section\_style (string)

  Choose a desired style for note sections:

  • `paragraphs`: Prioritizes generating paragraphs;

  • `bullet_points`: Prioritizes structuring content using bullet points.

  • `auto`: Automatically picks the most natural formatting option.

  Default is `auto`.

  **Possible values:** \[`auto`, `paragraphs`, `bullet_points`]

  **Example:<!-- -->&#x20;**`paragraphs`

  **split\_by\_problem**copilot\_split\_by\_problem (boolean)

  Flag to structure the content of the note sections according to distinct clinical problems or topics addressed during the consultation.

  When this flag is enabled, the text within some sections of the clinical note is organized into subsections, each corresponding to a specific problem or topic. This format aims to enhance the clarity and organization of the clinical note, making it easier to read and understand the different issues discussed during the consultation.

  **Important**: Currently, the application of this flag is limited to the `HISTORY_OF_PRESENT_ILLNESS` and `SOAP_SUBJECTIVE` sections and is only effective when the language is set to English (US or GB).

  **Default value:<!-- -->&#x20;**`false`

  **note\_template**copilot\_note\_template (string)

  The template used to generate the note.

  Some templates are **only available in specific languages**. Check [Note template](/core-api/guides/note-templates-sections-legacy-2024-10-01) for details.

  **Possible values:** \[`GENERAL_MEDICINE`, `GENERAL_MEDICINE_AP_MERGED`, `CARDIOLOGY`, `PSYCHIATRY`, `DIET`, `PSYCHOLOGY`, `SOAP`, `GENERAL_MEDICINE_WCC`, `SOAP_WCC`, `GENERAL_MEDICINE_EMERGENCY`, `SOAP_EMERGENCY`]

  **Example:<!-- -->&#x20;**`GENERAL_MEDICINE`

  ******note**object

  Optional initial Note to be enhanced using the new \`transcript\_items\`. This is useful if you generate notes gradually to avoid accumulating a very long transcript items list. Typically, this will be the last note Nabla generated for you along with the new \`transcript\_items\` that did not serve for its generation. \*\*Important\*\*: This is expected to be a recent (up to few-hours old) Nabla-generated note. If the note is too old or altered, you will get an error.

  ******sections**object\[]required

  Sections of the note.

  Array \[

* **key**copilot\_note\_section\_key (string)required

  A key identifying a section of a note. The set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates-sections-legacy-2024-10-01) for possible values.

  **Possible values:** \[`ALLERGIES`, `APPOINTMENTS`, `ASSESSMENT`, `ASSESSMENT_AND_PLAN`, `CARDIOVASCULAR_RISKS`, `CHIEF_COMPLAINT`, `CURRENT_MEDICATIONS`, `DIET_APPOINTMENTS`, `DIET_CHIEF_COMPLAINT`, `DIET_HABITS`, `DIET_LIFESTYLE`, `DIET_MEDICAL_HISTORY`, `DIET_OBJECTIVES`, `DIET_VITALS`, `FAMILY_HISTORY`, `HISTORY_OF_PRESENT_ILLNESS`, `IMAGING_RESULTS`, `IMMUNIZATIONS`, `LAB_RESULTS`, `MENTAL_HEALTH_EXAM`, `MENTAL_HEALTH_HISTORY`, `PAST_MEDICAL_HISTORY`, `PAST_OBSTETRIC_HISTORY`, `PAST_SURGICAL_HISTORY`, `PHYSICAL_EXAM`, `PLAN`, `PRESCRIPTION`, `PSYCHOLOGY_HISTORY_OF_COMPLAINT`, `SOAP_ASSESSMENT`, `SOAP_OBJECTIVE`, `SOAP_PLAN`, `SOAP_SUBJECTIVE`, `SOCIAL_HISTORY`, `VITALS`, `WELL_CHILD_CARE`]

  **Example:<!-- -->&#x20;**`CHIEF_COMPLAINT`

  **title**stringrequired

  The section title.

  **Example:<!-- -->&#x20;**`Chief complaint`

  **text**string

  Content of the note section (required).

  **Example:<!-- -->&#x20;**`Sleep disorder`

  ]

* **patient\_context**string

  Some contextual information that will be used to generate the note (for example name, gender, age, pronouns, medical history) \[BETA].

  **Possible values:** `<= 700 characters`

  ******output**object

  ******note**objectrequired

  ******sections**object\[]required

  Sections of the note.

  Array \[

* **key**copilot\_note\_section\_key (string)required

  A key identifying a section of a note. The set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates-sections-legacy-2024-10-01) for possible values.

  **Possible values:** \[`ALLERGIES`, `APPOINTMENTS`, `ASSESSMENT`, `ASSESSMENT_AND_PLAN`, `CARDIOVASCULAR_RISKS`, `CHIEF_COMPLAINT`, `CURRENT_MEDICATIONS`, `DIET_APPOINTMENTS`, `DIET_CHIEF_COMPLAINT`, `DIET_HABITS`, `DIET_LIFESTYLE`, `DIET_MEDICAL_HISTORY`, `DIET_OBJECTIVES`, `DIET_VITALS`, `FAMILY_HISTORY`, `HISTORY_OF_PRESENT_ILLNESS`, `IMAGING_RESULTS`, `IMMUNIZATIONS`, `LAB_RESULTS`, `MENTAL_HEALTH_EXAM`, `MENTAL_HEALTH_HISTORY`, `PAST_MEDICAL_HISTORY`, `PAST_OBSTETRIC_HISTORY`, `PAST_SURGICAL_HISTORY`, `PHYSICAL_EXAM`, `PLAN`, `PRESCRIPTION`, `PSYCHOLOGY_HISTORY_OF_COMPLAINT`, `SOAP_ASSESSMENT`, `SOAP_OBJECTIVE`, `SOAP_PLAN`, `SOAP_SUBJECTIVE`, `SOCIAL_HISTORY`, `VITALS`, `WELL_CHILD_CARE`]

  **Example:<!-- -->&#x20;**`CHIEF_COMPLAINT`

  **title**stringrequired

  The section title.

  **Example:<!-- -->&#x20;**`Chief complaint`

  **text**string

  Content of the note section (required).

  **Example:<!-- -->&#x20;**`Sleep disorder`

  ]

* ******expected\_output**object

  The expected version of \`output\`. This is typically an improved version of the Nabla-generated note after it has been corrected or adjusted by the healthcare provider.

  ******note**objectrequired

  ******sections**object\[]required

  Sections of the note.

  Array \[

* **key**copilot\_note\_section\_key (string)required

  A key identifying a section of a note. The set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates-sections-legacy-2024-10-01) for possible values.

  **Possible values:** \[`ALLERGIES`, `APPOINTMENTS`, `ASSESSMENT`, `ASSESSMENT_AND_PLAN`, `CARDIOVASCULAR_RISKS`, `CHIEF_COMPLAINT`, `CURRENT_MEDICATIONS`, `DIET_APPOINTMENTS`, `DIET_CHIEF_COMPLAINT`, `DIET_HABITS`, `DIET_LIFESTYLE`, `DIET_MEDICAL_HISTORY`, `DIET_OBJECTIVES`, `DIET_VITALS`, `FAMILY_HISTORY`, `HISTORY_OF_PRESENT_ILLNESS`, `IMAGING_RESULTS`, `IMMUNIZATIONS`, `LAB_RESULTS`, `MENTAL_HEALTH_EXAM`, `MENTAL_HEALTH_HISTORY`, `PAST_MEDICAL_HISTORY`, `PAST_OBSTETRIC_HISTORY`, `PAST_SURGICAL_HISTORY`, `PHYSICAL_EXAM`, `PLAN`, `PRESCRIPTION`, `PSYCHOLOGY_HISTORY_OF_COMPLAINT`, `SOAP_ASSESSMENT`, `SOAP_OBJECTIVE`, `SOAP_PLAN`, `SOAP_SUBJECTIVE`, `SOCIAL_HISTORY`, `VITALS`, `WELL_CHILD_CARE`]

  **Example:<!-- -->&#x20;**`CHIEF_COMPLAINT`

  **title**stringrequired

  The section title.

  **Example:<!-- -->&#x20;**`Chief complaint`

  **text**string

  Content of the note section (required).

  **Example:<!-- -->&#x20;**`Sleep disorder`

  ]

* **endpoint**stringrequired

  The report is about a call to the [Generate Patient Instructions](/core-api/reference/2024-04-22/server/copilot-generate-patient-instructions.md) endpoint.

  **Possible values:** \[`generate_patient_instructions`]

  ******input**object

  The input to generate the patient instructions.

  ******note**objectrequired

  The Nabla-generated clinical note of the encounter.

  ******sections**object\[]required

  Sections of the note.

  Array \[

* **key**copilot\_note\_section\_key (string)required

  A key identifying a section of a note. The set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates-sections-legacy-2024-10-01) for possible values.

  **Possible values:** \[`ALLERGIES`, `APPOINTMENTS`, `ASSESSMENT`, `ASSESSMENT_AND_PLAN`, `CARDIOVASCULAR_RISKS`, `CHIEF_COMPLAINT`, `CURRENT_MEDICATIONS`, `DIET_APPOINTMENTS`, `DIET_CHIEF_COMPLAINT`, `DIET_HABITS`, `DIET_LIFESTYLE`, `DIET_MEDICAL_HISTORY`, `DIET_OBJECTIVES`, `DIET_VITALS`, `FAMILY_HISTORY`, `HISTORY_OF_PRESENT_ILLNESS`, `IMAGING_RESULTS`, `IMMUNIZATIONS`, `LAB_RESULTS`, `MENTAL_HEALTH_EXAM`, `MENTAL_HEALTH_HISTORY`, `PAST_MEDICAL_HISTORY`, `PAST_OBSTETRIC_HISTORY`, `PAST_SURGICAL_HISTORY`, `PHYSICAL_EXAM`, `PLAN`, `PRESCRIPTION`, `PSYCHOLOGY_HISTORY_OF_COMPLAINT`, `SOAP_ASSESSMENT`, `SOAP_OBJECTIVE`, `SOAP_PLAN`, `SOAP_SUBJECTIVE`, `SOCIAL_HISTORY`, `VITALS`, `WELL_CHILD_CARE`]

  **Example:<!-- -->&#x20;**`CHIEF_COMPLAINT`

  **title**stringrequired

  The section title.

  **Example:<!-- -->&#x20;**`Chief complaint`

  **text**string

  Content of the note section (required).

  **Example:<!-- -->&#x20;**`Sleep disorder`

  ]

* **note\_locale**copilot\_note\_locale (string)required

  Locale of the note.

  **Possible values:** \[`en-US`, `en-GB`, `fr-FR`]

  **Example:<!-- -->&#x20;**`en-US`

  **instructions\_locale**copilot\_speech\_locale (string)required

  Locale of the patient instructions.

  **Possible values:** \[`en-US`, `en-GB`, `fr-FR`, `es-ES`, `es-MX`]

  **Example:<!-- -->&#x20;**`en-US`

  **recipient\_type**copilot\_patient\_instructions\_recipient\_type (string)

  Recipient type of the patient instructions. This is especially useful for pediatric encounters.

  **Possible values:** \[`PATIENT`, `PARENT`]

  **Default value:<!-- -->&#x20;**`PATIENT`

  **Example:<!-- -->&#x20;**`PATIENT`

  ******output**object

  **instructions**stringrequired

  ******expected\_output**object

  The expected version of \`output\`. This is typically an improved version of the Nabla-generated patient instructions after they have been corrected or adjusted by the healthcare provider.

  **instructions**stringrequired

  **endpoint**stringrequired

  The report is about a call to the [Generate Normalized Data](/core-api/reference/2024-04-22/server/generate-normalized-data.md) endpoint.

  **Possible values:** \[`generate_normalized_data`]

  ******input**object

  ******note**objectrequired

  The Nabla-generated clinical note to normalize.

  ******sections**object\[]required

  Sections of the note.

  Array \[

* **key**copilot\_note\_section\_key (string)required

  A key identifying a section of a note. The set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates-sections-legacy-2024-10-01) for possible values.

  **Possible values:** \[`ALLERGIES`, `APPOINTMENTS`, `ASSESSMENT`, `ASSESSMENT_AND_PLAN`, `CARDIOVASCULAR_RISKS`, `CHIEF_COMPLAINT`, `CURRENT_MEDICATIONS`, `DIET_APPOINTMENTS`, `DIET_CHIEF_COMPLAINT`, `DIET_HABITS`, `DIET_LIFESTYLE`, `DIET_MEDICAL_HISTORY`, `DIET_OBJECTIVES`, `DIET_VITALS`, `FAMILY_HISTORY`, `HISTORY_OF_PRESENT_ILLNESS`, `IMAGING_RESULTS`, `IMMUNIZATIONS`, `LAB_RESULTS`, `MENTAL_HEALTH_EXAM`, `MENTAL_HEALTH_HISTORY`, `PAST_MEDICAL_HISTORY`, `PAST_OBSTETRIC_HISTORY`, `PAST_SURGICAL_HISTORY`, `PHYSICAL_EXAM`, `PLAN`, `PRESCRIPTION`, `PSYCHOLOGY_HISTORY_OF_COMPLAINT`, `SOAP_ASSESSMENT`, `SOAP_OBJECTIVE`, `SOAP_PLAN`, `SOAP_SUBJECTIVE`, `SOCIAL_HISTORY`, `VITALS`, `WELL_CHILD_CARE`]

  **Example:<!-- -->&#x20;**`CHIEF_COMPLAINT`

  **title**stringrequired

  The section title.

  **Example:<!-- -->&#x20;**`Chief complaint`

  **text**string

  Content of the note section (required).

  **Example:<!-- -->&#x20;**`Sleep disorder`

  ]

* **note\_locale**copilot\_note\_locale (string)required

  Locale of the note.

  **Possible values:** \[`en-US`, `en-GB`, `fr-FR`]

  **Example:<!-- -->&#x20;**`en-US`

  ******output**object

  ******conditions**object\[]required

  FHIR conditions (including their ICD-10 code) corresponding to the patient's medical conditions as mentioned in the clinical note.

  Array \[

* **clinical\_status**fhir\_condition\_clinical\_status (string)

  The [clinical status](https://www.hl7.org/fhir/condition-definitions.html#Condition.clinicalStatus) of the condition. Only `active` and `resolved` are supported for now.

  **Possible values:** \[`active`, `resolved`]

  **Example:<!-- -->&#x20;**`active`

  ******coding**objectrequired

  An ICD-10 entry.

  **system**string

  The used coding system, only ICD-10 is supported for now.

  **Possible values:** \[`http://hl7.org/fhir/sid/icd-10-cm`]

  **code**stringrequired

  Code of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry.

  **Example:<!-- -->&#x20;**`G44.8`

  **display**stringrequired

  Description of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry.

  **Example:<!-- -->&#x20;**`Other specified headache syndromes.`

  **categories**fhir\_condition\_category (string)\[]

  Categories of the condition.

  **Possible values:** \[`problem_list_item`, `encounter_diagnosis`]

  ]

* ******family\_history**object\[]required

  FHIR conditions (including their ICD-10 code) representing family medical history details extracted from the clinical note. Each element includes the relationship to the patient and the list of related conditions.

  Array \[

* **relationship**family\_member\_conditions\_relationship (string)

  The relation to the patient of the family member the extracted conditions relate to, if applies.

  **Possible values:** \[`MOTHER`, `FATHER`, `BROTHER`, `SISTER`, `SON`, `DAUGHTER`, `GRANDMOTHER`, `GRANDFATHER`, `AUNT`, `UNCLE`, `OTHER`]

  ******conditions**object\[]required

  Conditions of the family member of the patient.

  Array \[

* **clinical\_status**fhir\_condition\_clinical\_status (string)

  The [clinical status](https://www.hl7.org/fhir/condition-definitions.html#Condition.clinicalStatus) of the condition. Only `active` and `resolved` are supported for now.

  **Possible values:** \[`active`, `resolved`]

  **Example:<!-- -->&#x20;**`active`

  ******coding**objectrequired

  An ICD-10 entry.

  **system**string

  The used coding system, only ICD-10 is supported for now.

  **Possible values:** \[`http://hl7.org/fhir/sid/icd-10-cm`]

  **code**stringrequired

  Code of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry.

  **Example:<!-- -->&#x20;**`G44.8`

  **display**stringrequired

  Description of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry.

  **Example:<!-- -->&#x20;**`Other specified headache syndromes.`

  **categories**fhir\_condition\_category (string)\[]

  Categories of the condition.

  **Possible values:** \[`problem_list_item`, `encounter_diagnosis`]

  ]

* ]

* ******expected\_output**object

  The expected version of \`output\`. This is typically an improved version of the Nabla-generated normalized data after it has been corrected or adjusted by the healthcare provider.

  ******conditions**object\[]required

  FHIR conditions (including their ICD-10 code) corresponding to the patient's medical conditions as mentioned in the clinical note.

  Array \[

* **clinical\_status**fhir\_condition\_clinical\_status (string)

  The [clinical status](https://www.hl7.org/fhir/condition-definitions.html#Condition.clinicalStatus) of the condition. Only `active` and `resolved` are supported for now.

  **Possible values:** \[`active`, `resolved`]

  **Example:<!-- -->&#x20;**`active`

  ******coding**objectrequired

  An ICD-10 entry.

  **system**string

  The used coding system, only ICD-10 is supported for now.

  **Possible values:** \[`http://hl7.org/fhir/sid/icd-10-cm`]

  **code**stringrequired

  Code of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry.

  **Example:<!-- -->&#x20;**`G44.8`

  **display**stringrequired

  Description of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry.

  **Example:<!-- -->&#x20;**`Other specified headache syndromes.`

  **categories**fhir\_condition\_category (string)\[]

  Categories of the condition.

  **Possible values:** \[`problem_list_item`, `encounter_diagnosis`]

  ]

* ******family\_history**object\[]required

  FHIR conditions (including their ICD-10 code) representing family medical history details extracted from the clinical note. Each element includes the relationship to the patient and the list of related conditions.

  Array \[

* **relationship**family\_member\_conditions\_relationship (string)

  The relation to the patient of the family member the extracted conditions relate to, if applies.

  **Possible values:** \[`MOTHER`, `FATHER`, `BROTHER`, `SISTER`, `SON`, `DAUGHTER`, `GRANDMOTHER`, `GRANDFATHER`, `AUNT`, `UNCLE`, `OTHER`]

  ******conditions**object\[]required

  Conditions of the family member of the patient.

  Array \[

* **clinical\_status**fhir\_condition\_clinical\_status (string)

  The [clinical status](https://www.hl7.org/fhir/condition-definitions.html#Condition.clinicalStatus) of the condition. Only `active` and `resolved` are supported for now.

  **Possible values:** \[`active`, `resolved`]

  **Example:<!-- -->&#x20;**`active`

  ******coding**objectrequired

  An ICD-10 entry.

  **system**string

  The used coding system, only ICD-10 is supported for now.

  **Possible values:** \[`http://hl7.org/fhir/sid/icd-10-cm`]

  **code**stringrequired

  Code of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry.

  **Example:<!-- -->&#x20;**`G44.8`

  **display**stringrequired

  Description of the [ICD-10](https://www.icd10data.com/ICD10CM/Codes) entry.

  **Example:<!-- -->&#x20;**`Other specified headache syndromes.`

  **categories**fhir\_condition\_category (string)\[]

  Categories of the condition.

  **Possible values:** \[`problem_list_item`, `encounter_diagnosis`]

  ]

* ]

## Responses[​](#responses "Direct link to Responses")

* 200

- application/json

* Schema
* Example (from schema)

**Schema**

* **id**string

```
{

  "id": "string"

}
```

## Operation spec

```json
{
  "method": "post",
  "path": "/reports",
  "operationId": "copilot-create-report",
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "description": "Input of the report.",
          "properties": {
            "rating": {
              "type": "integer",
              "minimum": 1,
              "maximum": 5,
              "description": "Optional rating for the output of the given response: from very bad (1) to perfect (5)."
            },
            "feedback": {
              "type": "string",
              "description": "Feedback on the given response. This should typically explain the rating, suggest specific improvements or highlight the good points."
            },
            "reply_to": {
              "type": "string",
              "format": "email",
              "description": "Optional email address for Nabla to contact for additional information or clarification regarding the submitted report feedback."
            },
            "payload": {
              "description": "Input and output of the related API call.",
              "oneOf": [
                {
                  "title": "digest",
                  "type": "object",
                  "required": [
                    "endpoint"
                  ]
                },
                {
                  "title": "generate_patient_instructions",
                  "type": "object",
                  "required": [
                    "endpoint"
                  ]
                },
                {
                  "title": "generate_normalized_data",
                  "type": "object",
                  "required": [
                    "endpoint"
                  ]
                }
              ],
              "discriminator": {
                "propertyName": "endpoint",
                "mapping": {
                  "digest": {
                    "type": "object",
                    "required": [
                      "endpoint"
                    ],
                    "properties": {
                      "endpoint": {
                        "type": "string",
                        "enum": [
                          "digest"
                        ],
                        "description": "The report is about a call to the [Digest](/server/copilot-digest) endpoint (or its async version)."
                      },
                      "input": {
                        "type": "object",
                        "description": "The object containing the information needed to generate a note.",
                        "properties": {
                          "output_objects": {
                            "type": "array",
                            "description": "Specifies which items you want us to send you back. In other words, which feature(s) you want to use, for now only note generation is available.",
                            "items": {
                              "type": "string",
                              "description": "Specifies which items you want us to send you back.",
                              "enum": [
                                "note"
                              ],
                              "example": "note",
                              "title": "digest_output_object"
                            }
                          },
                          "language": {
                            "description": "Language of the given transcript and the desired note ('fr' and 'en' are deprecated, and correspond to 'fr-FR' and 'en-US' respectively. Generating a note in 'es-ES' and 'es-MX' is not supported and will be soon removed).",
                            "type": "string",
                            "enum": [
                              "fr",
                              "en",
                              "en-US",
                              "en-GB",
                              "fr-FR",
                              "es-ES",
                              "es-MX"
                            ],
                            "example": "en-US",
                            "title": "copilot_language"
                          },
                          "transcript_items": {
                            "type": "array",
                            "description": "The transcript from which to generate the note.\n\nYou don't need to specify each item's start or end time, but make sure they are sorted. In fact, due to its asynchronous nature, our [real-time transcription API](/server/copilot-listen-ws) does not guarantee the order.  Thus, before calling this note-generation API please **filter-out non-final items and sort them by `start_offset_ms`**.",
                            "items": {
                              "type": "object",
                              "description": "A portion of the transcribed consultation.",
                              "properties": {
                                "text": {
                                  "type": "string",
                                  "description": "The transcribed text.",
                                  "example": "Also, I’m allergic to peanuts."
                                },
                                "speaker": {
                                  "type": "string",
                                  "enum": [
                                    "doctor",
                                    "patient",
                                    "unspecified"
                                  ],
                                  "description": "Who said the text in this transcript item.",
                                  "example": "doctor",
                                  "title": "copilot_speaker"
                                }
                              },
                              "required": [
                                "text",
                                "speaker"
                              ],
                              "title": "copilot_transcript_item_request"
                            }
                          },
                          "section_style": {
                            "type": "string",
                            "enum": [
                              "auto",
                              "paragraphs",
                              "bullet_points"
                            ],
                            "description": "Choose a desired style for note sections:\n\n  • `paragraphs`: Prioritizes generating paragraphs;\n\n  • `bullet_points`: Prioritizes structuring content using bullet points.\n\n  • `auto`: Automatically picks the most natural formatting option.\n\nDefault is `auto`.",
                            "example": "paragraphs",
                            "title": "copilot_section_style"
                          },
                          "split_by_problem": {
                            "type": "boolean",
                            "default": false,
                            "description": "Flag to structure the content of the note sections according to distinct clinical problems or topics addressed during the consultation.\n\nWhen this flag is enabled, the text within some sections of the clinical note is organized into subsections, each corresponding to a specific problem or topic. This format aims to enhance the clarity and organization of the clinical note, making it easier to read and understand the different issues discussed during the consultation.\n\n**Important**: Currently, the application of this flag is limited to the `HISTORY_OF_PRESENT_ILLNESS` and `SOAP_SUBJECTIVE` sections and is only effective when the language is set to English (US or GB).",
                            "title": "copilot_split_by_problem"
                          },
                          "note_template": {
                            "type": "string",
                            "enum": [
                              "GENERAL_MEDICINE",
                              "GENERAL_MEDICINE_AP_MERGED",
                              "CARDIOLOGY",
                              "PSYCHIATRY",
                              "DIET",
                              "PSYCHOLOGY",
                              "SOAP",
                              "GENERAL_MEDICINE_WCC",
                              "SOAP_WCC",
                              "GENERAL_MEDICINE_EMERGENCY",
                              "SOAP_EMERGENCY"
                            ],
                            "description": "The desired template of the generated note.\n\nSome templates are **only available in specific languages**. Check [Note template](/guides/note-templates-sections) for details.",
                            "example": "GENERAL_MEDICINE",
                            "title": "copilot_note_template"
                          },
                          "note": {
                            "description": "Optional initial Note to be enhanced using the new `transcript_items`.\nThis is useful if you generate notes gradually to avoid accumulating a very long transcript items list.\nTypically, this will be the last note Nabla generated for you along with the new `transcript_items` that did not serve for its generation.\n**Important**: This is expected to be a recent (up to few-hours old) Nabla-generated note. If the note is too old or altered, you will get an error.",
                            "type": "object",
                            "properties": {
                              "sections": {
                                "type": "array",
                                "description": "Sections of the note.",
                                "items": {
                                  "type": "object",
                                  "description": "A note section.",
                                  "properties": {
                                    "key": {
                                      "type": "string",
                                      "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/guides/note-templates-sections) for possible values.",
                                      "example": "CHIEF_COMPLAINT",
                                      "enum": [
                                        "ALLERGIES",
                                        "APPOINTMENTS",
                                        "ASSESSMENT",
                                        "ASSESSMENT_AND_PLAN",
                                        "CARDIOVASCULAR_RISKS",
                                        "CHIEF_COMPLAINT",
                                        "CURRENT_MEDICATIONS",
                                        "DIET_APPOINTMENTS",
                                        "DIET_CHIEF_COMPLAINT",
                                        "DIET_HABITS",
                                        "DIET_LIFESTYLE",
                                        "DIET_MEDICAL_HISTORY",
                                        "DIET_OBJECTIVES",
                                        "DIET_VITALS",
                                        "FAMILY_HISTORY",
                                        "HISTORY_OF_PRESENT_ILLNESS",
                                        "IMAGING_RESULTS",
                                        "IMMUNIZATIONS",
                                        "LAB_RESULTS",
                                        "MENTAL_HEALTH_EXAM",
                                        "MENTAL_HEALTH_HISTORY",
                                        "PAST_MEDICAL_HISTORY",
                                        "PAST_OBSTETRIC_HISTORY",
                                        "PAST_SURGICAL_HISTORY",
                                        "PHYSICAL_EXAM",
                                        "PLAN",
                                        "PRESCRIPTION",
                                        "PSYCHOLOGY_HISTORY_OF_COMPLAINT",
                                        "SOAP_ASSESSMENT",
                                        "SOAP_OBJECTIVE",
                                        "SOAP_PLAN",
                                        "SOAP_SUBJECTIVE",
                                        "SOCIAL_HISTORY",
                                        "VITALS",
                                        "WELL_CHILD_CARE"
                                      ],
                                      "title": "copilot_note_section_key"
                                    },
                                    "title": {
                                      "type": "string",
                                      "description": "The section title.",
                                      "example": "Chief complaint"
                                    },
                                    "text": {
                                      "type": "string",
                                      "description": "Content of the note section (required).",
                                      "example": "Sleep disorder"
                                    }
                                  },
                                  "required": [
                                    "key",
                                    "title"
                                  ],
                                  "title": "copilot_note_section_request"
                                }
                              }
                            },
                            "required": [
                              "sections"
                            ],
                            "title": "copilot_note_request"
                          },
                          "patient_context": {
                            "type": "string",
                            "description": "Some contextual information that will be used to generate the note (for example name, gender, age, pronouns, medical history) [BETA].",
                            "maxLength": 700
                          }
                        },
                        "required": [
                          "output_objects",
                          "transcript_items",
                          "language"
                        ],
                        "title": "digest_request"
                      },
                      "output": {
                        "type": "object",
                        "required": [
                          "note"
                        ],
                        "properties": {
                          "note": {
                            "type": "object",
                            "properties": {
                              "sections": {
                                "type": "array",
                                "description": "Sections of the note.",
                                "items": {
                                  "type": "object",
                                  "description": "A note section.",
                                  "properties": {
                                    "key": {
                                      "type": "string",
                                      "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/guides/note-templates-sections) for possible values.",
                                      "example": "CHIEF_COMPLAINT",
                                      "enum": [
                                        "ALLERGIES",
                                        "APPOINTMENTS",
                                        "ASSESSMENT",
                                        "ASSESSMENT_AND_PLAN",
                                        "CARDIOVASCULAR_RISKS",
                                        "CHIEF_COMPLAINT",
                                        "CURRENT_MEDICATIONS",
                                        "DIET_APPOINTMENTS",
                                        "DIET_CHIEF_COMPLAINT",
                                        "DIET_HABITS",
                                        "DIET_LIFESTYLE",
                                        "DIET_MEDICAL_HISTORY",
                                        "DIET_OBJECTIVES",
                                        "DIET_VITALS",
                                        "FAMILY_HISTORY",
                                        "HISTORY_OF_PRESENT_ILLNESS",
                                        "IMAGING_RESULTS",
                                        "IMMUNIZATIONS",
                                        "LAB_RESULTS",
                                        "MENTAL_HEALTH_EXAM",
                                        "MENTAL_HEALTH_HISTORY",
                                        "PAST_MEDICAL_HISTORY",
                                        "PAST_OBSTETRIC_HISTORY",
                                        "PAST_SURGICAL_HISTORY",
                                        "PHYSICAL_EXAM",
                                        "PLAN",
                                        "PRESCRIPTION",
                                        "PSYCHOLOGY_HISTORY_OF_COMPLAINT",
                                        "SOAP_ASSESSMENT",
                                        "SOAP_OBJECTIVE",
                                        "SOAP_PLAN",
                                        "SOAP_SUBJECTIVE",
                                        "SOCIAL_HISTORY",
                                        "VITALS",
                                        "WELL_CHILD_CARE"
                                      ],
                                      "title": "copilot_note_section_key"
                                    },
                                    "title": {
                                      "type": "string",
                                      "description": "The section title.",
                                      "example": "Chief complaint"
                                    },
                                    "text": {
                                      "type": "string",
                                      "description": "Content of the note section (required).",
                                      "example": "Sleep disorder"
                                    }
                                  },
                                  "required": [
                                    "key",
                                    "title"
                                  ],
                                  "title": "copilot_note_section_request"
                                }
                              }
                            },
                            "required": [
                              "sections"
                            ],
                            "title": "copilot_note_request"
                          }
                        },
                        "title": "create_report_payload_digest_request_output"
                      },
                      "expected_output": {
                        "type": "object",
                        "required": [
                          "note"
                        ],
                        "properties": {
                          "note": {
                            "type": "object",
                            "properties": {
                              "sections": {
                                "type": "array",
                                "description": "Sections of the note.",
                                "items": {
                                  "type": "object",
                                  "description": "A note section.",
                                  "properties": {
                                    "key": {
                                      "type": "string",
                                      "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/guides/note-templates-sections) for possible values.",
                                      "example": "CHIEF_COMPLAINT",
                                      "enum": [
                                        "ALLERGIES",
                                        "APPOINTMENTS",
                                        "ASSESSMENT",
                                        "ASSESSMENT_AND_PLAN",
                                        "CARDIOVASCULAR_RISKS",
                                        "CHIEF_COMPLAINT",
                                        "CURRENT_MEDICATIONS",
                                        "DIET_APPOINTMENTS",
                                        "DIET_CHIEF_COMPLAINT",
                                        "DIET_HABITS",
                                        "DIET_LIFESTYLE",
                                        "DIET_MEDICAL_HISTORY",
                                        "DIET_OBJECTIVES",
                                        "DIET_VITALS",
                                        "FAMILY_HISTORY",
                                        "HISTORY_OF_PRESENT_ILLNESS",
                                        "IMAGING_RESULTS",
                                        "IMMUNIZATIONS",
                                        "LAB_RESULTS",
                                        "MENTAL_HEALTH_EXAM",
                                        "MENTAL_HEALTH_HISTORY",
                                        "PAST_MEDICAL_HISTORY",
                                        "PAST_OBSTETRIC_HISTORY",
                                        "PAST_SURGICAL_HISTORY",
                                        "PHYSICAL_EXAM",
                                        "PLAN",
                                        "PRESCRIPTION",
                                        "PSYCHOLOGY_HISTORY_OF_COMPLAINT",
                                        "SOAP_ASSESSMENT",
                                        "SOAP_OBJECTIVE",
                                        "SOAP_PLAN",
                                        "SOAP_SUBJECTIVE",
                                        "SOCIAL_HISTORY",
                                        "VITALS",
                                        "WELL_CHILD_CARE"
                                      ],
                                      "title": "copilot_note_section_key"
                                    },
                                    "title": {
                                      "type": "string",
                                      "description": "The section title.",
                                      "example": "Chief complaint"
                                    },
                                    "text": {
                                      "type": "string",
                                      "description": "Content of the note section (required).",
                                      "example": "Sleep disorder"
                                    }
                                  },
                                  "required": [
                                    "key",
                                    "title"
                                  ],
                                  "title": "copilot_note_section_request"
                                }
                              }
                            },
                            "required": [
                              "sections"
                            ],
                            "title": "copilot_note_request"
                          }
                        },
                        "title": "create_report_payload_digest_request_output",
                        "description": "The expected version of `output`. This is typically an improved version of the Nabla-generated note after it has been corrected or adjusted by the healthcare provider."
                      }
                    },
                    "title": "create_report_payload_digest_request"
                  },
                  "generate_patient_instructions": {
                    "type": "object",
                    "required": [
                      "endpoint"
                    ],
                    "properties": {
                      "endpoint": {
                        "type": "string",
                        "enum": [
                          "generate_patient_instructions"
                        ],
                        "description": "The report is about a call to the [Generate Patient Instructions](/server/copilot-generate-patient-instructions) endpoint."
                      },
                      "input": {
                        "type": "object",
                        "description": "The input to generate the patient instructions.",
                        "properties": {
                          "note": {
                            "description": "The Nabla-generated clinical note of the encounter.",
                            "type": "object",
                            "properties": {
                              "sections": {
                                "type": "array",
                                "description": "Sections of the note.",
                                "items": {
                                  "type": "object",
                                  "description": "A note section.",
                                  "properties": {
                                    "key": {
                                      "type": "string",
                                      "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/guides/note-templates-sections) for possible values.",
                                      "example": "CHIEF_COMPLAINT",
                                      "enum": [
                                        "ALLERGIES",
                                        "APPOINTMENTS",
                                        "ASSESSMENT",
                                        "ASSESSMENT_AND_PLAN",
                                        "CARDIOVASCULAR_RISKS",
                                        "CHIEF_COMPLAINT",
                                        "CURRENT_MEDICATIONS",
                                        "DIET_APPOINTMENTS",
                                        "DIET_CHIEF_COMPLAINT",
                                        "DIET_HABITS",
                                        "DIET_LIFESTYLE",
                                        "DIET_MEDICAL_HISTORY",
                                        "DIET_OBJECTIVES",
                                        "DIET_VITALS",
                                        "FAMILY_HISTORY",
                                        "HISTORY_OF_PRESENT_ILLNESS",
                                        "IMAGING_RESULTS",
                                        "IMMUNIZATIONS",
                                        "LAB_RESULTS",
                                        "MENTAL_HEALTH_EXAM",
                                        "MENTAL_HEALTH_HISTORY",
                                        "PAST_MEDICAL_HISTORY",
                                        "PAST_OBSTETRIC_HISTORY",
                                        "PAST_SURGICAL_HISTORY",
                                        "PHYSICAL_EXAM",
                                        "PLAN",
                                        "PRESCRIPTION",
                                        "PSYCHOLOGY_HISTORY_OF_COMPLAINT",
                                        "SOAP_ASSESSMENT",
                                        "SOAP_OBJECTIVE",
                                        "SOAP_PLAN",
                                        "SOAP_SUBJECTIVE",
                                        "SOCIAL_HISTORY",
                                        "VITALS",
                                        "WELL_CHILD_CARE"
                                      ],
                                      "title": "copilot_note_section_key"
                                    },
                                    "title": {
                                      "type": "string",
                                      "description": "The section title.",
                                      "example": "Chief complaint"
                                    },
                                    "text": {
                                      "type": "string",
                                      "description": "Content of the note section (required).",
                                      "example": "Sleep disorder"
                                    }
                                  },
                                  "required": [
                                    "key",
                                    "title"
                                  ],
                                  "title": "copilot_note_section_request"
                                }
                              }
                            },
                            "required": [
                              "sections"
                            ],
                            "title": "copilot_note_request"
                          },
                          "note_locale": {
                            "type": "string",
                            "description": "Locale of the note.",
                            "enum": [
                              "en-US",
                              "en-GB",
                              "fr-FR"
                            ],
                            "example": "en-US",
                            "title": "copilot_note_locale"
                          },
                          "instructions_locale": {
                            "description": "Locale of the patient instructions.",
                            "type": "string",
                            "enum": [
                              "en-US",
                              "en-GB",
                              "fr-FR",
                              "es-ES",
                              "es-MX"
                            ],
                            "example": "en-US",
                            "title": "copilot_speech_locale"
                          },
                          "recipient_type": {
                            "type": "string",
                            "enum": [
                              "PATIENT",
                              "PARENT"
                            ],
                            "description": "Recipient type of the patient instructions. This is especially useful for pediatric encounters.",
                            "default": "PATIENT",
                            "example": "PATIENT",
                            "title": "copilot_patient_instructions_recipient_type"
                          }
                        },
                        "required": [
                          "note",
                          "note_locale",
                          "instructions_locale"
                        ],
                        "title": "generate_patient_instructions_request"
                      },
                      "output": {
                        "type": "object",
                        "required": [
                          "instructions"
                        ],
                        "properties": {
                          "instructions": {
                            "type": "string"
                          }
                        },
                        "title": "create_report_payload_generate_patient_instructions_request_output"
                      },
                      "expected_output": {
                        "type": "object",
                        "required": [
                          "instructions"
                        ],
                        "properties": {
                          "instructions": {
                            "type": "string"
                          }
                        },
                        "title": "create_report_payload_generate_patient_instructions_request_output",
                        "description": "The expected version of `output`. This is typically an improved version of the Nabla-generated patient instructions after they have been corrected or adjusted by the healthcare provider."
                      }
                    },
                    "title": "create_report_payload_generate_patient_instructions_request"
                  },
                  "generate_normalized_data": {
                    "type": "object",
                    "required": [
                      "endpoint"
                    ],
                    "properties": {
                      "endpoint": {
                        "type": "string",
                        "enum": [
                          "generate_normalized_data"
                        ],
                        "description": "The report is about a call to the [Generate Normalized Data](/server/generate-normalized-data) endpoint."
                      },
                      "input": {
                        "type": "object",
                        "properties": {
                          "note": {
                            "description": "The Nabla-generated clinical note to normalize.",
                            "type": "object",
                            "properties": {
                              "sections": {
                                "type": "array",
                                "description": "Sections of the note.",
                                "items": {
                                  "type": "object",
                                  "description": "A note section.",
                                  "properties": {
                                    "key": {
                                      "type": "string",
                                      "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/guides/note-templates-sections) for possible values.",
                                      "example": "CHIEF_COMPLAINT",
                                      "enum": [
                                        "ALLERGIES",
                                        "APPOINTMENTS",
                                        "ASSESSMENT",
                                        "ASSESSMENT_AND_PLAN",
                                        "CARDIOVASCULAR_RISKS",
                                        "CHIEF_COMPLAINT",
                                        "CURRENT_MEDICATIONS",
                                        "DIET_APPOINTMENTS",
                                        "DIET_CHIEF_COMPLAINT",
                                        "DIET_HABITS",
                                        "DIET_LIFESTYLE",
                                        "DIET_MEDICAL_HISTORY",
                                        "DIET_OBJECTIVES",
                                        "DIET_VITALS",
                                        "FAMILY_HISTORY",
                                        "HISTORY_OF_PRESENT_ILLNESS",
                                        "IMAGING_RESULTS",
                                        "IMMUNIZATIONS",
                                        "LAB_RESULTS",
                                        "MENTAL_HEALTH_EXAM",
                                        "MENTAL_HEALTH_HISTORY",
                                        "PAST_MEDICAL_HISTORY",
                                        "PAST_OBSTETRIC_HISTORY",
                                        "PAST_SURGICAL_HISTORY",
                                        "PHYSICAL_EXAM",
                                        "PLAN",
                                        "PRESCRIPTION",
                                        "PSYCHOLOGY_HISTORY_OF_COMPLAINT",
                                        "SOAP_ASSESSMENT",
                                        "SOAP_OBJECTIVE",
                                        "SOAP_PLAN",
                                        "SOAP_SUBJECTIVE",
                                        "SOCIAL_HISTORY",
                                        "VITALS",
                                        "WELL_CHILD_CARE"
                                      ],
                                      "title": "copilot_note_section_key"
                                    },
                                    "title": {
                                      "type": "string",
                                      "description": "The section title.",
                                      "example": "Chief complaint"
                                    },
                                    "text": {
                                      "type": "string",
                                      "description": "Content of the note section (required).",
                                      "example": "Sleep disorder"
                                    }
                                  },
                                  "required": [
                                    "key",
                                    "title"
                                  ],
                                  "title": "copilot_note_section_request"
                                }
                              }
                            },
                            "required": [
                              "sections"
                            ],
                            "title": "copilot_note_request"
                          },
                          "note_locale": {
                            "type": "string",
                            "description": "Locale of the note.",
                            "enum": [
                              "en-US",
                              "en-GB",
                              "fr-FR"
                            ],
                            "example": "en-US",
                            "title": "copilot_note_locale"
                          }
                        },
                        "required": [
                          "note",
                          "note_locale"
                        ],
                        "title": "generate_normalized_data_request"
                      },
                      "output": {
                        "type": "object",
                        "required": [
                          "conditions",
                          "family_history"
                        ],
                        "properties": {
                          "conditions": {
                            "description": "FHIR conditions (including their ICD-10 code) corresponding to the patient's medical conditions as mentioned in the clinical note.",
                            "type": "array",
                            "items": {
                              "type": "object",
                              "description": "Structured [FHIR condition](https://www.hl7.org/fhir/condition.html).",
                              "properties": {
                                "clinical_status": {
                                  "type": "string",
                                  "enum": [
                                    "active",
                                    "resolved"
                                  ],
                                  "description": "The [clinical status](https://www.hl7.org/fhir/condition-definitions.html#Condition.clinicalStatus) of the condition. Only `active` and `resolved` are supported for now.",
                                  "example": "active",
                                  "title": "fhir_condition_clinical_status"
                                },
                                "coding": {
                                  "type": "object",
                                  "description": "An ICD-10 entry.",
                                  "properties": {
                                    "system": {
                                      "type": "string",
                                      "description": "The used coding system, only ICD10 is supported for now.",
                                      "enum": [
                                        "http://hl7.org/fhir/sid/icd-10-cm"
                                      ]
                                    },
                                    "code": {
                                      "type": "string",
                                      "example": "G44.8",
                                      "description": "Code of the [ICD10](https://www.icd10data.com/ICD10CM/Codes)."
                                    },
                                    "display": {
                                      "type": "string",
                                      "example": "Other specified headache syndromes.",
                                      "description": "Description of the [ICD10](https://www.icd10data.com/ICD10CM/Codes)."
                                    }
                                  },
                                  "required": [
                                    "code",
                                    "display"
                                  ]
                                },
                                "categories": {
                                  "description": "Categories of the condition.",
                                  "type": "array",
                                  "items": {
                                    "type": "string",
                                    "enum": [
                                      "problem_list_item",
                                      "encounter_diagnosis"
                                    ],
                                    "description": "The category of a [FHIR condition](https://www.hl7.org/fhir/condition.html).",
                                    "example": "problem_list_item",
                                    "title": "fhir_condition_category"
                                  }
                                }
                              },
                              "required": [
                                "coding"
                              ]
                            }
                          },
                          "family_history": {
                            "description": "FHIR conditions (including their ICD-10 code) representing family medical history details extracted from the clinical note. Each element includes the relationship to the patient and the list of related conditions.",
                            "type": "array",
                            "items": {
                              "type": "object",
                              "required": [
                                "conditions"
                              ],
                              "properties": {
                                "relationship": {
                                  "type": "string",
                                  "description": "The relation to the patient of the family member the extracted conditions relate to, if applies.",
                                  "enum": [
                                    "MOTHER",
                                    "FATHER",
                                    "BROTHER",
                                    "SISTER",
                                    "SON",
                                    "DAUGHTER",
                                    "GRANDMOTHER",
                                    "GRANDFATHER",
                                    "AUNT",
                                    "UNCLE",
                                    "OTHER"
                                  ],
                                  "title": "family_member_conditions_relationship"
                                },
                                "conditions": {
                                  "description": "Conditions of the family member of the patient.",
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "description": "Structured [FHIR condition](https://www.hl7.org/fhir/condition.html).",
                                    "properties": {
                                      "clinical_status": {
                                        "type": "string",
                                        "enum": [
                                          "active",
                                          "resolved"
                                        ],
                                        "description": "The [clinical status](https://www.hl7.org/fhir/condition-definitions.html#Condition.clinicalStatus) of the condition. Only `active` and `resolved` are supported for now.",
                                        "example": "active",
                                        "title": "fhir_condition_clinical_status"
                                      },
                                      "coding": {
                                        "type": "object",
                                        "description": "An ICD-10 entry.",
                                        "properties": {
                                          "system": {
                                            "type": "string",
                                            "description": "The used coding system, only ICD10 is supported for now.",
                                            "enum": [
                                              "http://hl7.org/fhir/sid/icd-10-cm"
                                            ]
                                          },
                                          "code": {
                                            "type": "string",
                                            "example": "G44.8",
                                            "description": "Code of the [ICD10](https://www.icd10data.com/ICD10CM/Codes)."
                                          },
                                          "display": {
                                            "type": "string",
                                            "example": "Other specified headache syndromes.",
                                            "description": "Description of the [ICD10](https://www.icd10data.com/ICD10CM/Codes)."
                                          }
                                        },
                                        "required": [
                                          "code",
                                          "display"
                                        ]
                                      },
                                      "categories": {
                                        "description": "Categories of the condition.",
                                        "type": "array",
                                        "items": {
                                          "type": "string",
                                          "enum": [
                                            "problem_list_item",
                                            "encounter_diagnosis"
                                          ],
                                          "description": "The category of a [FHIR condition](https://www.hl7.org/fhir/condition.html).",
                                          "example": "problem_list_item",
                                          "title": "fhir_condition_category"
                                        }
                                      }
                                    },
                                    "required": [
                                      "coding"
                                    ]
                                  }
                                }
                              }
                            }
                          }
                        },
                        "title": "create_report_payload_generate_normalized_data_request_output"
                      },
                      "expected_output": {
                        "type": "object",
                        "required": [
                          "conditions",
                          "family_history"
                        ],
                        "properties": {
                          "conditions": {
                            "description": "FHIR conditions (including their ICD-10 code) corresponding to the patient's medical conditions as mentioned in the clinical note.",
                            "type": "array",
                            "items": {
                              "type": "object",
                              "description": "Structured [FHIR condition](https://www.hl7.org/fhir/condition.html).",
                              "properties": {
                                "clinical_status": {
                                  "type": "string",
                                  "enum": [
                                    "active",
                                    "resolved"
                                  ],
                                  "description": "The [clinical status](https://www.hl7.org/fhir/condition-definitions.html#Condition.clinicalStatus) of the condition. Only `active` and `resolved` are supported for now.",
                                  "example": "active",
                                  "title": "fhir_condition_clinical_status"
                                },
                                "coding": {
                                  "type": "object",
                                  "description": "An ICD-10 entry.",
                                  "properties": {
                                    "system": {
                                      "type": "string",
                                      "description": "The used coding system, only ICD10 is supported for now.",
                                      "enum": [
                                        "http://hl7.org/fhir/sid/icd-10-cm"
                                      ]
                                    },
                                    "code": {
                                      "type": "string",
                                      "example": "G44.8",
                                      "description": "Code of the [ICD10](https://www.icd10data.com/ICD10CM/Codes)."
                                    },
                                    "display": {
                                      "type": "string",
                                      "example": "Other specified headache syndromes.",
                                      "description": "Description of the [ICD10](https://www.icd10data.com/ICD10CM/Codes)."
                                    }
                                  },
                                  "required": [
                                    "code",
                                    "display"
                                  ]
                                },
                                "categories": {
                                  "description": "Categories of the condition.",
                                  "type": "array",
                                  "items": {
                                    "type": "string",
                                    "enum": [
                                      "problem_list_item",
                                      "encounter_diagnosis"
                                    ],
                                    "description": "The category of a [FHIR condition](https://www.hl7.org/fhir/condition.html).",
                                    "example": "problem_list_item",
                                    "title": "fhir_condition_category"
                                  }
                                }
                              },
                              "required": [
                                "coding"
                              ]
                            }
                          },
                          "family_history": {
                            "description": "FHIR conditions (including their ICD-10 code) representing family medical history details extracted from the clinical note. Each element includes the relationship to the patient and the list of related conditions.",
                            "type": "array",
                            "items": {
                              "type": "object",
                              "required": [
                                "conditions"
                              ],
                              "properties": {
                                "relationship": {
                                  "type": "string",
                                  "description": "The relation to the patient of the family member the extracted conditions relate to, if applies.",
                                  "enum": [
                                    "MOTHER",
                                    "FATHER",
                                    "BROTHER",
                                    "SISTER",
                                    "SON",
                                    "DAUGHTER",
                                    "GRANDMOTHER",
                                    "GRANDFATHER",
                                    "AUNT",
                                    "UNCLE",
                                    "OTHER"
                                  ],
                                  "title": "family_member_conditions_relationship"
                                },
                                "conditions": {
                                  "description": "Conditions of the family member of the patient.",
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "description": "Structured [FHIR condition](https://www.hl7.org/fhir/condition.html).",
                                    "properties": {
                                      "clinical_status": {
                                        "type": "string",
                                        "enum": [
                                          "active",
                                          "resolved"
                                        ],
                                        "description": "The [clinical status](https://www.hl7.org/fhir/condition-definitions.html#Condition.clinicalStatus) of the condition. Only `active` and `resolved` are supported for now.",
                                        "example": "active",
                                        "title": "fhir_condition_clinical_status"
                                      },
                                      "coding": {
                                        "type": "object",
                                        "description": "An ICD-10 entry.",
                                        "properties": {
                                          "system": {
                                            "type": "string",
                                            "description": "The used coding system, only ICD10 is supported for now.",
                                            "enum": [
                                              "http://hl7.org/fhir/sid/icd-10-cm"
                                            ]
                                          },
                                          "code": {
                                            "type": "string",
                                            "example": "G44.8",
                                            "description": "Code of the [ICD10](https://www.icd10data.com/ICD10CM/Codes)."
                                          },
                                          "display": {
                                            "type": "string",
                                            "example": "Other specified headache syndromes.",
                                            "description": "Description of the [ICD10](https://www.icd10data.com/ICD10CM/Codes)."
                                          }
                                        },
                                        "required": [
                                          "code",
                                          "display"
                                        ]
                                      },
                                      "categories": {
                                        "description": "Categories of the condition.",
                                        "type": "array",
                                        "items": {
                                          "type": "string",
                                          "enum": [
                                            "problem_list_item",
                                            "encounter_diagnosis"
                                          ],
                                          "description": "The category of a [FHIR condition](https://www.hl7.org/fhir/condition.html).",
                                          "example": "problem_list_item",
                                          "title": "fhir_condition_category"
                                        }
                                      }
                                    },
                                    "required": [
                                      "coding"
                                    ]
                                  }
                                }
                              }
                            }
                          }
                        },
                        "title": "create_report_payload_generate_normalized_data_request_output",
                        "description": "The expected version of `output`. This is typically an improved version of the Nabla-generated normalized data after it has been corrected or adjusted by the healthcare provider."
                      }
                    },
                    "title": "create_report_payload_generate_normalized_data_request"
                  }
                }
              },
              "title": "create_report_payload_request"
            }
          },
          "required": [
            "payload"
          ],
          "title": "create_report_request"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "The created report id, to be referenced when emailing support.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              }
            }
          }
        }
      }
    }
  }
}
```
